function resaltar(c,i){
	//alert("que ves: "+c);
	document.getElementById(i).style.backgroundColor=c;
}			
			
function buscar(){

	document.form_buscar.submit();	
	
}

function enviar_precios(xaccion,xprc_codi){
		
	document.getElementById('xaccion').value=xaccion;
	document.getElementById('xprc_codi').value=xprc_codi;
	
	if(xaccion=="eliminar"){
	
		rpt=confirm("Confirma que desea eliminar el registro del precio?");
		if(rpt){
			document.form_precios.submit();	
		}	
	
	}else{
		document.form_precios.submit();
		
	}	

}


//FUNCIONES DE PANTALLA FAMILIAS

function accion_familia(xaccion,xid,xtitu,xabrev){

	location.href="#enfoque1";

	if(xaccion=="eliminar"){
		document.getElementById('titulo_formulario').innerHTML="Eliminar familia";
		document.getElementById('xaccion').value=xaccion;
		document.getElementById('xid').value=xid;			
		document.getElementById('xnombres').value=xtitu;
		document.getElementById('xabreviatura').value=xabrev;	
		
		document.getElementById('d_eliminar').innerHTML="Si está seguro que quiere eliminar la familia "+xtitu+" , presione el botón Aceptar.";						
		
		document.getElementById('d_eliminar').style.display="block";	
						
	}else{

		if(xaccion=="modificar"){
			document.getElementById('titulo_formulario').innerHTML="Modificar familia";
			document.getElementById('xaccion').value=xaccion;		
			document.getElementById('xid').value=xid;	
			document.getElementById('xnombres').value=xtitu;					
			document.getElementById('xabreviatura').value=xabrev;																										
			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('xnombres').focus();
		}else{
			document.getElementById('titulo_formulario').innerHTML="Nueva familia";				
			document.getElementById('xaccion').value=xaccion;					
			document.getElementById('xid').value="";
			document.getElementById('xnombres').value="";																	
			document.getElementById('xabreviatura').value="";	
			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('xnombres').focus();
		}
	}
	
	
}

function enviar_formulario_familia(){						

	if(document.getElementById('xnombres').value==""){

		alert("Tiene que ingresar los datos requeridos.");
		
	}else{	
	
		document.form_procesos.submit();	
		
	}			
}			

function cambiar_estado_familia(id,estado){
	resp=confirm("Esta a punto de cambiar el estado del registro. Desea continuar?");

	if(resp){

		if(estado==true){
			estado=1;
		}else{
			estado=0;
		}
		frame_procesos.location.href="procesos/familias.php?xid="+id+"&xestado="+estado+"&xaccion=activar";				

	}else{

		xid="chk_"+id;
		
		if(estado==true){
			document.getElementById(xid).checked=false;
		}else{
			document.getElementById(xid).checked=true;
		}
	
	}	

}



//FUNCIONES DE PANTALLA UNIDADES DE MEDIDA

function accion_unidadesdemedida(xaccion,xid,xtitu,xabrev){

	location.href="#enfoque1";

	if(xaccion=="eliminar"){
		document.getElementById('titulo_formulario').innerHTML="Eliminar unidade de medida";
		document.getElementById('xaccion').value=xaccion;
		document.getElementById('xid').value=xid;			
		document.getElementById('xnombres').value=xtitu;
		document.getElementById('xabreviatura').value=xabrev;	
		
		document.getElementById('d_eliminar').innerHTML="Si está seguro que quiere eliminar la unidad de medida "+xtitu+" , presione el botón Aceptar.";						
		
		document.getElementById('d_eliminar').style.display="block";	
						
	}else{

		if(xaccion=="modificar"){
			document.getElementById('titulo_formulario').innerHTML="Modificar unidad de medida";
			document.getElementById('xaccion').value=xaccion;		
			document.getElementById('xid').value=xid;	
			document.getElementById('xnombres').value=xtitu;					
			document.getElementById('xabreviatura').value=xabrev;																										
			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('xnombres').focus();
		}else{
			document.getElementById('titulo_formulario').innerHTML="Nueva unidad de medida";				
			document.getElementById('xaccion').value=xaccion;					
			document.getElementById('xid').value="";
			document.getElementById('xnombres').value="";																	
			document.getElementById('xabreviatura').value="";	
			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('xnombres').focus();
		}
	}
	
	
}

function enviar_formulario_unidadesdemedida(){						

	if(document.getElementById('xnombres').value==""){

		alert("Tiene que ingresar los datos requeridos.");
		
	}else{	
	
		document.form_procesos.submit();	
		
	}			
}			

function cambiar_estado_unidadesdemedida(id,estado){
	resp=confirm("Esta a punto de cambiar el estado del registro. Desea continuar?");

	if(resp){

		if(estado==true){
			estado=1;
		}else{
			estado=0;
		}
		frame_procesos.location.href="procesos/unidadesdemedida.php?xid="+id+"&xestado="+estado+"&xaccion=activar";				

	}else{

		xid="chk_"+id;
		
		if(estado==true){
			document.getElementById(xid).checked=false;
		}else{
			document.getElementById(xid).checked=true;
		}
	
	}	

}




//FUNCIONES DE MARCAS

function accion_marcas(xaccion,xid,xtitu,xabrev){

	location.href="#enfoque1";

	if(xaccion=="eliminar"){
		document.getElementById('titulo_formulario').innerHTML="Eliminar marca";
		document.getElementById('xaccion').value=xaccion;
		document.getElementById('xid').value=xid;			
		document.getElementById('xnombres').value=xtitu;
		document.getElementById('xabreviatura').value=xabrev;	
		
		document.getElementById('d_eliminar').innerHTML="Si está seguro que quiere eliminar la marca "+xtitu+" , presione el botón Aceptar.";						
		
		document.getElementById('d_eliminar').style.display="block";	
						
	}else{

		if(xaccion=="modificar"){
			document.getElementById('titulo_formulario').innerHTML="Modificar marca";
			document.getElementById('xaccion').value=xaccion;		
			document.getElementById('xid').value=xid;	
			document.getElementById('xnombres').value=xtitu;					
			document.getElementById('xabreviatura').value=xabrev;																										
			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('xnombres').focus();
		}else{
			document.getElementById('titulo_formulario').innerHTML="Nueva marca";				
			document.getElementById('xaccion').value=xaccion;					
			document.getElementById('xid').value="";
			document.getElementById('xnombres').value="";																	
			document.getElementById('xabreviatura').value="";	
			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('xnombres').focus();
		}
	}
	
	
}

function enviar_formulario_marcas(){						

	if(document.getElementById('xnombres').value==""){

		alert("Tiene que ingresar los datos requeridos.");
		
	}else{	
	
		document.form_procesos.submit();	
		
	}			
}			

function cambiar_estado_marcas(id,estado){
	resp=confirm("Esta a punto de cambiar el estado del registro. Desea continuar?");

	if(resp){

		if(estado==true){
			estado=1;
		}else{
			estado=0;
		}
		frame_procesos.location.href="procesos/marcas.php?xid="+id+"&xestado="+estado+"&xaccion=activar";				

	}else{

		xid="chk_"+id;
		
		if(estado==true){
			document.getElementById(xid).checked=false;
		}else{
			document.getElementById(xid).checked=true;
		}
	
	}	

}





//FUNCIONES DE PRESENTACIONES

function accion_presentaciones(xaccion,xid,xtitu,xabrev){

	location.href="#enfoque1";

	if(xaccion=="eliminar"){
		document.getElementById('titulo_formulario').innerHTML="Eliminar presentación";
		document.getElementById('xaccion').value=xaccion;
		document.getElementById('xid').value=xid;			
		document.getElementById('xnombres').value=xtitu;
		document.getElementById('xabreviatura').value=xabrev;	
		
		document.getElementById('d_eliminar').innerHTML="Si está seguro que quiere eliminar la presentación "+xtitu+" , presione el botón Aceptar.";						
		
		document.getElementById('d_eliminar').style.display="block";	
						
	}else{

		if(xaccion=="modificar"){
			document.getElementById('titulo_formulario').innerHTML="Modificar presentación";
			document.getElementById('xaccion').value=xaccion;		
			document.getElementById('xid').value=xid;	
			document.getElementById('xnombres').value=xtitu;					
			document.getElementById('xabreviatura').value=xabrev;																										
			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('xnombres').focus();
		}else{
			document.getElementById('titulo_formulario').innerHTML="Nueva presentación";				
			document.getElementById('xaccion').value=xaccion;					
			document.getElementById('xid').value="";
			document.getElementById('xnombres').value="";																	
			document.getElementById('xabreviatura').value="";	
			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('xnombres').focus();
		}
	}
	
	
}

function enviar_formulario_presentaciones(){						

	if(document.getElementById('xnombres').value==""){

		alert("Tiene que ingresar los datos requeridos.");
		
	}else{	
	
		document.form_procesos.submit();	
		
	}			
}			

function cambiar_estado_presentaciones(id,estado){
	resp=confirm("Esta a punto de cambiar el estado del registro. Desea continuar?");

	if(resp){

		if(estado==true){
			estado=1;
		}else{
			estado=0;
		}
		frame_procesos.location.href="procesos/presentaciones.php?xid="+id+"&xestado="+estado+"&xaccion=activar";				

	}else{

		xid="chk_"+id;
		
		if(estado==true){
			document.getElementById(xid).checked=false;
		}else{
			document.getElementById(xid).checked=true;
		}
	
	}	

}



//FUNCIONES DE CATALOGO

function accion_catalogos(xaccion,xid,xtitu,xabrev,xcodi,xmar,xprs,xprdfam){
	
	
	location.href="#enfoque1";

	if(xaccion=="eliminar"){
		
		document.getElementById('titulo_formulario').innerHTML="Eliminar producto";
		document.getElementById('xaccion').value=xaccion;
		document.getElementById('xid').value=xid;
		document.getElementById('xnombres').value=xtitu;
		document.getElementById('xabreviatura').value=xabrev;	
		document.getElementById('xcodigo').value=xcodi;
		document.getElementById('xmarca').value=xmar;
		document.getElementById('xpresentacion').value=xprs;
		document.getElementById('xfamilia').value=xprdfam;

		document.getElementById('d_eliminar').innerHTML="Si está seguro que quiere eliminar el producto "+xtitu+" , presione el botón Aceptar.";						
		
		document.getElementById('d_eliminar').style.display="block";
		document.getElementById('d_precios').style.display="none";

						
	}else{

		if(xaccion=="modificar"){
			
			document.getElementById('frame_precios').src = "precios.php?xid="+xid;	
			
			document.getElementById('titulo_formulario').innerHTML="Modificar producto";
			document.getElementById('xaccion').value=xaccion;		
			document.getElementById('xid').value=xid;
			document.getElementById('xnombres').value=xtitu;					
			document.getElementById('xabreviatura').value=xabrev;										
			document.getElementById('xcodigo').value=xcodi;
			document.getElementById('xmarca').value=xmar;

			document.getElementById('xpresentacion').value=xprs;
			document.getElementById('xfamilia').value=xprdfam;						
			
			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('d_precios').style.display="block";			
			
			document.getElementById('xnombres').focus();
			
					
			
			
		}else{
		
			document.getElementById('frame_precios').src = "";	
			
			document.getElementById('titulo_formulario').innerHTML="Nuevo producto";				
			document.getElementById('xaccion').value=xaccion;					
			document.getElementById('xid').value="";
			document.getElementById('xnombres').value="";																	
			document.getElementById('xabreviatura').value="";	
			document.getElementById('xcodigo').value="";
			document.getElementById('xmarca').value="";
			document.getElementById('xpresentacion').value="";
			document.getElementById('xfamilia').value="";
						
			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('d_precios').style.display="none";			
			
			document.getElementById('xnombres').focus();
		}
	}
	
	
}

function enviar_formulario_catalogo(){						

	if(document.getElementById('xnombres').value==""){

		alert("Tiene que ingresar los datos requeridos.");
		
	}else{	
	
		document.form_procesos.submit();	
		
	}			
}			

function cambiar_estado_catalogo(id,estado){
	resp=confirm("Esta a punto de cambiar el estado del registro. Desea continuar?");

	if(resp){

		if(estado==true){
			estado=1;
		}else{
			estado=0;
		}
		frame_procesos.location.href="procesos/catalogo.php?xid="+id+"&xestado="+estado+"&xaccion=activar";				

	}else{

		xid="chk_"+id;
		
		if(estado==true){
			document.getElementById(xid).checked=false;
		}else{
			document.getElementById(xid).checked=true;
		}
	
	}	

}




//FUNCIONES DE PANTALLA TIPOS DE DOCUMENTO

function accion_tiposdocumento(xaccion,xid,xtitu,xabrev){

	location.href="#enfoque1";

	if(xaccion=="eliminar"){
		document.getElementById('titulo_formulario').innerHTML="Eliminar tipo de documento";
		document.getElementById('xaccion').value=xaccion;
		document.getElementById('xid').value=xid;			
		document.getElementById('xnombres').value=xtitu;
		document.getElementById('xabreviatura').value=xabrev;	
		
		document.getElementById('d_eliminar').innerHTML="Si está seguro que quiere eliminar el tipo de documento "+xtitu+" , presione el botón Aceptar.";						
		
		document.getElementById('d_eliminar').style.display="block";	
						
	}else{

		if(xaccion=="modificar"){
			document.getElementById('titulo_formulario').innerHTML="Modificar tipo de documento";
			document.getElementById('xaccion').value=xaccion;		
			document.getElementById('xid').value=xid;	
			document.getElementById('xnombres').value=xtitu;					
			document.getElementById('xabreviatura').value=xabrev;																										
			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('xnombres').focus();
		}else{
			document.getElementById('titulo_formulario').innerHTML="Nuevo tipo de documento";				
			document.getElementById('xaccion').value=xaccion;					
			document.getElementById('xid').value="";
			document.getElementById('xnombres').value="";																	
			document.getElementById('xabreviatura').value="";	
			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('xnombres').focus();
		}
	}
	
	
}

function enviar_formulario_tiposdocumento(){						

	if(document.getElementById('xnombres').value==""){

		alert("Tiene que ingresar los datos requeridos.");
		
	}else{	
	
		document.form_procesos.submit();	
		
	}			
}			

function cambiar_estado_tiposdocumento(id,estado){
	resp=confirm("Esta a punto de cambiar el estado del registro. Desea continuar?");

	if(resp){

		if(estado==true){
			estado=1;
		}else{
			estado=0;
		}
		frame_procesos.location.href="procesos/tiposdocumento.php?xid="+id+"&xestado="+estado+"&xaccion=activar";				

	}else{

		xid="chk_"+id;
		
		if(estado==true){
			document.getElementById(xid).checked=false;
		}else{
			document.getElementById(xid).checked=true;
		}
	
	}	

}




//FUNCIONES DE PANTALLA TIPOS DE MOVIMIENTO ALMACEN

function accion_tiposmovimiento(xaccion,xid,xtitu,xabrev,xtipo){

	location.href="#enfoque1";

	if(xaccion=="eliminar"){
		document.getElementById('titulo_formulario').innerHTML="Eliminar tipo de movimiento de almacén";
		document.getElementById('xaccion').value=xaccion;
		document.getElementById('xid').value=xid;			
		document.getElementById('xnombres').value=xtitu;
		document.getElementById('xabreviatura').value=xabrev;
		document.getElementById('xtipo').value=xtipo;		
		
		document.getElementById('d_eliminar').innerHTML="Si está seguro que quiere eliminar el tipo de movimiento de almacén"+xtitu+" , presione el botón Aceptar.";						
		
		document.getElementById('d_eliminar').style.display="block";
						
	}else{

		if(xaccion=="modificar"){
			document.getElementById('titulo_formulario').innerHTML="Modificar tipo de movimiento de almacén";
			document.getElementById('xaccion').value=xaccion;		
			document.getElementById('xid').value=xid;	
			document.getElementById('xnombres').value=xtitu;					
			document.getElementById('xabreviatura').value=xabrev;
			document.getElementById('xtipo').value=xtipo;					
			
			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('xnombres').focus();
		}else{
			document.getElementById('titulo_formulario').innerHTML="Nuevo tipo de movimiento de almacén";				
			document.getElementById('xaccion').value=xaccion;					
			document.getElementById('xid').value="";
			document.getElementById('xnombres').value="";																	
			document.getElementById('xabreviatura').value="";	
		    document.getElementById('xtipo').value="INGRESO";					
			
			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('xnombres').focus();
		}
	}
	
	
}

function enviar_formulario_tiposmovimiento(){						

	if(document.getElementById('xnombres').value==""){

		alert("Tiene que ingresar los datos requeridos.");
		
	}else{	
	
		document.form_procesos.submit();	
		
	}			
}			

function cambiar_estado_tiposmovimiento(id,estado){
	resp=confirm("Esta a punto de cambiar el estado del registro. Desea continuar?");

	if(resp){

		if(estado==true){
			estado=1;
		}else{
			estado=0;
		}
		frame_procesos.location.href="procesos/tiposmovimiento.php?xid="+id+"&xestado="+estado+"&xaccion=activar";				

	}else{

		xid="chk_"+id;
		
		if(estado==true){
			document.getElementById(xid).checked=false;
		}else{
			document.getElementById(xid).checked=true;
		}
	
	}	

}




//FUNCIONES DE PANTALLA TIPOS DE MOVIMIENTO CAJA

function accion_tiposmovimientoscaja(xaccion,xid,xtitu,xabrev,xtipo){

	location.href="#enfoque1";

	if(xaccion=="eliminar"){
		document.getElementById('titulo_formulario').innerHTML="Eliminar tipo de movimiento de caja";
		document.getElementById('xaccion').value=xaccion;
		document.getElementById('xid').value=xid;			
		document.getElementById('xnombres').value=xtitu;
		document.getElementById('xabreviatura').value=xabrev;
		document.getElementById('xtipo').value=xtipo;		
		
		document.getElementById('d_eliminar').innerHTML="Si está seguro que quiere eliminar el tipo de movimiento de caja "+xtitu+" , presione el botón Aceptar.";						
		
		document.getElementById('d_eliminar').style.display="block";
						
	}else{

		if(xaccion=="modificar"){
			document.getElementById('titulo_formulario').innerHTML="Modificar tipo de movimiento de caja";
			document.getElementById('xaccion').value=xaccion;		
			document.getElementById('xid').value=xid;	
			document.getElementById('xnombres').value=xtitu;					
			document.getElementById('xabreviatura').value=xabrev;
			document.getElementById('xtipo').value=xtipo;					
			
			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('xnombres').focus();
		}else{
			document.getElementById('titulo_formulario').innerHTML="Nuevo tipo de movimiento de caja";				
			document.getElementById('xaccion').value=xaccion;					
			document.getElementById('xid').value="";
			document.getElementById('xnombres').value="";																	
			document.getElementById('xabreviatura').value="";	
		    document.getElementById('xtipo').value="INGRESO";					
			
			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('xnombres').focus();
		}
	}
	
	
}

function enviar_formulario_tiposmovimientoscaja(){

	if(document.getElementById('xnombres').value==""){

		alert("Tiene que ingresar los datos requeridos.");
		
	}else{	
	
		document.form_procesos.submit();	
		
	}			
}			

function cambiar_estado_tiposmovimientoscaja(id,estado){
	resp=confirm("Esta a punto de cambiar el estado del registro. Desea continuar?");

	if(resp){

		if(estado==true){
			estado=1;
		}else{
			estado=0;
		}
		frame_procesos.location.href="procesos/tiposmovimientocaja.php?xid="+id+"&xestado="+estado+"&xaccion=activar";				

	}else{

		xid="chk_"+id;
		
		if(estado==true){
			document.getElementById(xid).checked=false;
		}else{
			document.getElementById(xid).checked=true;
		}
	
	}	

}





//FUNCIONES DE PANTALLA TIPOS DE DOCUMENTO

function accion_tiposprecio(xaccion,xid,xtitu,xabrev){

	location.href="#enfoque1";

	if(xaccion=="eliminar"){
		document.getElementById('titulo_formulario').innerHTML="Eliminar tipo de precio";
		document.getElementById('xaccion').value=xaccion;
		document.getElementById('xid').value=xid;			
		document.getElementById('xnombres').value=xtitu;
		document.getElementById('xabreviatura').value=xabrev;	
		
		document.getElementById('d_eliminar').innerHTML="Si está seguro que quiere eliminar el tipo de precio "+xtitu+" , presione el botón Aceptar.";						
		
		document.getElementById('d_eliminar').style.display="block";	
						
	}else{

		if(xaccion=="modificar"){
			document.getElementById('titulo_formulario').innerHTML="Modificar tipo de precio";
			document.getElementById('xaccion').value=xaccion;		
			document.getElementById('xid').value=xid;	
			document.getElementById('xnombres').value=xtitu;					
			document.getElementById('xabreviatura').value=xabrev;																										
			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('xnombres').focus();
		}else{
			document.getElementById('titulo_formulario').innerHTML="Nuevo tipo de precio";				
			document.getElementById('xaccion').value=xaccion;					
			document.getElementById('xid').value="";
			document.getElementById('xnombres').value="";																	
			document.getElementById('xabreviatura').value="";	
			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('xnombres').focus();
		}
	}
	
	
}

function enviar_formulario_tiposprecio(){						

	if(document.getElementById('xnombres').value==""){

		alert("Tiene que ingresar los datos requeridos.");
		
	}else{	
	
		document.form_procesos.submit();	
		
	}			
}			

function cambiar_estado_tiposprecio(id,estado){
	resp=confirm("Esta a punto de cambiar el estado del registro. Desea continuar?");

	if(resp){

		if(estado==true){
			estado=1;
		}else{
			estado=0;
		}
		frame_procesos.location.href="procesos/tiposprecio.php?xid="+id+"&xestado="+estado+"&xaccion=activar";				

	}else{

		xid="chk_"+id;
		
		if(estado==true){
			document.getElementById(xid).checked=false;
		}else{
			document.getElementById(xid).checked=true;
		}
	
	}	

}



//FUNCIONES DE PANTALLA PROVEEDORES

function accion_proveedor(xaccion,xid,xtitu,xrazon_social,xruc,xnombre,xapellido,xemail,xcredito,xtelefono1,xtelefono2,xdireccion1,xdireccion2){	

	location.href="#enfoque1";

	if(xaccion=="eliminar"){
		document.getElementById('titulo_formulario').innerHTML="Eliminar proveedor";
		document.getElementById('xaccion').value=xaccion;		
		document.getElementById('xid').value=xid;	
		document.getElementById('xnombres').value=xtitu;					
		document.getElementById('xrazonsocial').value=xrazon_social;	
		document.getElementById('xruc').value=xruc;				
		document.getElementById('xnombre_contacto').value=xnombre;				
		document.getElementById('xapellido_contacto').value=xapellido;							
		document.getElementById('xemail').value=xemail;
		document.getElementById('xtelefono1').value=xtelefono1;							
		document.getElementById('xtelefono2').value=xtelefono2;										
		document.getElementById('xdireccion1').value=xdireccion1;
		document.getElementById('xdireccion2').value=xdireccion2;			

		if(xcredito==1){
			document.getElementById('xcredito').checked=true;	
		}else{
			document.getElementById('xcredito').checked=false;	
		}
		
		document.getElementById('d_eliminar').innerHTML="Si está seguro que quiere eliminar el proveedor "+xtitu+" , presione el botón Aceptar.";						
		
		document.getElementById('d_eliminar').style.display="block";	
						
	}else{

		if(xaccion=="modificar"){
			document.getElementById('titulo_formulario').innerHTML="Modificar proveedor";
			document.getElementById('xaccion').value=xaccion;		
			document.getElementById('xid').value=xid;	
			document.getElementById('xnombres').value=xtitu;					
			document.getElementById('xrazonsocial').value=xrazon_social;	
			document.getElementById('xruc').value=xruc;				
			document.getElementById('xnombre_contacto').value=xnombre;				
			document.getElementById('xapellido_contacto').value=xapellido;							
			document.getElementById('xemail').value=xemail;
			document.getElementById('xtelefono1').value=xtelefono1;							
			document.getElementById('xtelefono2').value=xtelefono2;										
			document.getElementById('xdireccion1').value=xdireccion1;
			document.getElementById('xdireccion2').value=xdireccion2;			

			if(xcredito==1){
				document.getElementById('xcredito').checked=true;	
			}else{
				document.getElementById('xcredito').checked=false;	
			}

			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('xnombres').focus();
		}else{
			document.getElementById('titulo_formulario').innerHTML="Nuevo proveedor";				
			document.getElementById('xaccion').value=xaccion;					
			document.getElementById('xid').value="";
			document.getElementById('xnombres').value="";																	
			document.getElementById('xrazonsocial').value="";	
			document.getElementById('xruc').value="";				
			document.getElementById('xnombre_contacto').value="";				
			document.getElementById('xapellido_contacto').value="";							
			document.getElementById('xemail').value="";
			document.getElementById('xtelefono1').value="";							
			document.getElementById('xtelefono2').value="";										
			document.getElementById('xdireccion1').value="";
			document.getElementById('xdireccion2').value="";			
			document.getElementById('xcredito').checked=false;				

			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('xnombres').focus();
		}
	}
	
	
}

function enviar_formulario_proveedor(){						

	if(document.getElementById('xnombres').value==""){

		alert("Tiene que ingresar los datos requeridos.");
		
	}else{	
	
		document.form_procesos.submit();	
		
	}			
}			

function cambiar_estado_proveedor(id,estado){
	resp=confirm("Esta a punto de cambiar el estado del registro. Desea continuar?");

	if(resp){

		if(estado==true){
			estado=1;
		}else{
			estado=0;
		}
		frame_procesos.location.href="procesos/proveedores.php?xid="+id+"&xestado="+estado+"&xaccion=activar";				

	}else{

		xid="chk_"+id;
		
		if(estado==true){
			document.getElementById(xid).checked=false;
		}else{
			document.getElementById(xid).checked=true;
		}
	
	}	

}





//FUNCIONES DE PANTALLA CLIENTES

function accion_cliente(xaccion,xid,xtitu,xrazon_social,xruc,xnombre,xapellido,xemail,xcredito,xtelefono1,xtelefono2,xdireccion1,xdireccion2){	

	location.href="#enfoque1";

	if(xaccion=="eliminar"){
		document.getElementById('titulo_formulario').innerHTML="Eliminar cliente";
		document.getElementById('xaccion').value=xaccion;		
		document.getElementById('xid').value=xid;	
		document.getElementById('xnombres').value=xtitu;					
		document.getElementById('xrazonsocial').value=xrazon_social;	
		document.getElementById('xruc').value=xruc;				
		document.getElementById('xnombre_contacto').value=xnombre;				
		document.getElementById('xapellido_contacto').value=xapellido;							
		document.getElementById('xemail').value=xemail;
		document.getElementById('xtelefono1').value=xtelefono1;							
		document.getElementById('xtelefono2').value=xtelefono2;										
		document.getElementById('xdireccion1').value=xdireccion1;
		document.getElementById('xdireccion2').value=xdireccion2;			

		if(xcredito==1){
			document.getElementById('xcredito').checked=true;	
		}else{
			document.getElementById('xcredito').checked=false;	
		}
		
		document.getElementById('d_eliminar').innerHTML="Si está seguro que quiere eliminar el cliente "+xtitu+" , presione el botón Aceptar.";						
		
		document.getElementById('d_eliminar').style.display="block";	
						
	}else{

		if(xaccion=="modificar"){
			document.getElementById('titulo_formulario').innerHTML="Modificar cliente";
			document.getElementById('xaccion').value=xaccion;		
			document.getElementById('xid').value=xid;	
			document.getElementById('xnombres').value=xtitu;					
			document.getElementById('xrazonsocial').value=xrazon_social;	
			document.getElementById('xruc').value=xruc;				
			document.getElementById('xnombre_contacto').value=xnombre;				
			document.getElementById('xapellido_contacto').value=xapellido;							
			document.getElementById('xemail').value=xemail;
			document.getElementById('xtelefono1').value=xtelefono1;							
			document.getElementById('xtelefono2').value=xtelefono2;										
			document.getElementById('xdireccion1').value=xdireccion1;
			document.getElementById('xdireccion2').value=xdireccion2;			

			if(xcredito==1){
				document.getElementById('xcredito').checked=true;	
			}else{
				document.getElementById('xcredito').checked=false;	
			}

			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('xnombres').focus();
		}else{
			document.getElementById('titulo_formulario').innerHTML="Nuevo cliente";				
			document.getElementById('xaccion').value=xaccion;					
			document.getElementById('xid').value="";
			document.getElementById('xnombres').value="";																	
			document.getElementById('xrazonsocial').value="";	
			document.getElementById('xruc').value="";				
			document.getElementById('xnombre_contacto').value="";				
			document.getElementById('xapellido_contacto').value="";							
			document.getElementById('xemail').value="";
			document.getElementById('xtelefono1').value="";							
			document.getElementById('xtelefono2').value="";										
			document.getElementById('xdireccion1').value="";
			document.getElementById('xdireccion2').value="";			
			document.getElementById('xcredito').checked=false;				

			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('xnombres').focus();
		}
	}
	
	
}

function enviar_formulario_cliente(){						

	if(document.getElementById('xnombres').value==""){

		alert("Tiene que ingresar los datos requeridos.");
		
	}else{	
	
		document.form_procesos.submit();	
		
	}			
}			

function cambiar_estado_cliente(id,estado){
	resp=confirm("Esta a punto de cambiar el estado del registro. Desea continuar?");

	if(resp){

		if(estado==true){
			estado=1;
		}else{
			estado=0;
		}
		frame_procesos.location.href="procesos/clientes.php?xid="+id+"&xestado="+estado+"&xaccion=activar";				

	}else{

		xid="chk_"+id;
		
		if(estado==true){
			document.getElementById(xid).checked=false;
		}else{
			document.getElementById(xid).checked=true;
		}
	
	}	

}





//FUNCIONES DE PANTALLA EMPLEADOS

function accion_empleado(xaccion,xid,xtitu,xrazon_social,xruc,xnombre,xapellido,xemail,xcredito,xtelefono1,xtelefono2,xdireccion1,xdireccion2,xcargo){	

	location.href="#enfoque1";
	
	alert("aqui");

	if(xaccion=="eliminar"){
		document.getElementById('titulo_formulario').innerHTML="Eliminar empleado";
		document.getElementById('xaccion').value=xaccion;		
		document.getElementById('xid').value=xid;	
		document.getElementById('xnombres').value=xtitu;					
		document.getElementById('xrazonsocial').value=xrazon_social;	
		document.getElementById('xruc').value=xruc;				
		document.getElementById('xnombre_contacto').value=xnombre;				
		document.getElementById('xapellido_contacto').value=xapellido;							
		document.getElementById('xemail').value=xemail;
		document.getElementById('xtelefono1').value=xtelefono1;							
		document.getElementById('xtelefono2').value=xtelefono2;										
		document.getElementById('xdireccion1').value=xdireccion1;
		document.getElementById('xdireccion2').value=xdireccion2;	
		document.getElementById('xcargo').value=xcargo;	

		if(xcredito==1){
			document.getElementById('xcredito').checked=true;	
		}else{
			document.getElementById('xcredito').checked=false;	
		}
		
		document.getElementById('d_eliminar').innerHTML="Si está seguro que quiere eliminar el empleado "+xtitu+" , presione el botón Aceptar.";						
		
		document.getElementById('d_eliminar').style.display="block";	
						
	}else{

		if(xaccion=="modificar"){
			document.getElementById('titulo_formulario').innerHTML="Modificar empleado";
			document.getElementById('xaccion').value=xaccion;		
			document.getElementById('xid').value=xid;	
			document.getElementById('xnombres').value=xtitu;					
			document.getElementById('xrazonsocial').value=xrazon_social;	
			document.getElementById('xruc').value=xruc;				
			document.getElementById('xnombre_contacto').value=xnombre;				
			document.getElementById('xapellido_contacto').value=xapellido;							
			document.getElementById('xemail').value=xemail;
			document.getElementById('xtelefono1').value=xtelefono1;							
			document.getElementById('xtelefono2').value=xtelefono2;										
			document.getElementById('xdireccion1').value=xdireccion1;
			document.getElementById('xdireccion2').value=xdireccion2;			
			document.getElementById('xcargo').value=xcargo;				

			if(xcredito==1){
				document.getElementById('xcredito').checked=true;	
			}else{
				document.getElementById('xcredito').checked=false;	
			}

			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('xnombres').focus();
		}else{
			document.getElementById('titulo_formulario').innerHTML="Nuevo empleado";				
			document.getElementById('xaccion').value=xaccion;					
			document.getElementById('xid').value="";
			document.getElementById('xnombres').value="";																	
			document.getElementById('xrazonsocial').value="";	
			document.getElementById('xruc').value="";				
			document.getElementById('xnombre_contacto').value="";				
			document.getElementById('xapellido_contacto').value="";							
			document.getElementById('xemail').value="";
			document.getElementById('xtelefono1').value="";							
			document.getElementById('xtelefono2').value="";										
			document.getElementById('xdireccion1').value="";
			document.getElementById('xdireccion2').value="";			
			document.getElementById('xcargo').value="";				
			document.getElementById('xcredito').checked=false;				

			document.getElementById('d_eliminar').style.display="none";
			document.getElementById('xnombres').focus();
		}
	}
	
	
}

function enviar_formulario_empleado(){						

	if(document.getElementById('xnombres').value=="" OR document.getElementById('xcargo').value==""){

		alert("Tiene que ingresar los datos requeridos.");
		
	}else{	
	
		document.form_procesos.submit();	
		
	}			
}			

function cambiar_estado_empleado(id,estado){
	resp=confirm("Esta a punto de cambiar el estado del registro. Desea continuar?");

	if(resp){

		if(estado==true){
			estado=1;
		}else{
			estado=0;
		}
		frame_procesos.location.href="procesos/empleados.php?xid="+id+"&xestado="+estado+"&xaccion=activar";				

	}else{

		xid="chk_"+id;
		
		if(estado==true){
			document.getElementById(xid).checked=false;
		}else{
			document.getElementById(xid).checked=true;
		}
	
	}	

}






//FUNCIONES DE PANTALLA EMPLEADOS
/*
function accion_empleados(xaccion,xid,xnombres,xapellidos,xcargo,xemail,xtelefono){
	//alert(xaccion);
	location.href="#enfoque1";

	if(xaccion=="eliminar"){
		document.getElementById('titulo_empleados').innerHTML="Eliminar empleado";
		document.getElementById('xaccion').value=xaccion;
		document.getElementById('xid').value=xid;			
		document.getElementById('xnombres').value=xnombres;
		document.getElementById('xapellidos').value=xapellidos;	
		document.getElementById('xcargo').value=xcargo;										
		document.getElementById('xemail').value=xemail;						
		document.getElementById('xtelefono').value=xtelefono;																					
		
		document.getElementById('d_eliminar').innerHTML="Si está seguro que quiere eliminar el empleado "+xnombres+" "+xapellidos+", presione el botón Aceptar.";						
		
		document.getElementById('d_eliminar').style.display="block";	
						
	}else{

		if(xaccion=="modificar"){
			document.getElementById('titulo_empleados').innerHTML="Modificar empleado";
			document.getElementById('xaccion').value=xaccion;		
			document.getElementById('xid').value=xid;	
			document.getElementById('xnombres').value=xnombres;					
			
			
			document.getElementById('xapellidos').value=xapellidos;	
			document.getElementById('xcargo').value=xcargo;										
			document.getElementById('xemail').value=xemail;						
			document.getElementById('xtelefono').value=xtelefono;																					
																		
			document.getElementById('d_eliminar').style.display="none";							
			
		}else{
			document.getElementById('titulo_empleados').innerHTML="Nuevo empleado";				
			document.getElementById('xaccion').value=xaccion;					
			document.getElementById('xid').value="";
			document.getElementById('xnombres').value="";																	
			document.getElementById('xapellidos').value="";	
			document.getElementById('xcargo').value="";										
			document.getElementById('xemail').value="";						
			document.getElementById('xtelefono').value="";																					
									
			document.getElementById('d_eliminar').style.display="none";
		}
	}
	
	
}

function enviar_formulario_empleados(){						

	if(document.getElementById('xnombres').value=="" || 
	   document.getElementById('xapellidos').value=="" ||
	   document.getElementById('xcargo').value==""){

		alert("Tiene que ingresar los datos requeridos.");
		
	}else{	
	
		document.form_procesos.submit();	
		
	}			
}			

*/



//FUNCIONES DE PANTALLA GASTOS
			
function accion_gastos(xaccion,xid,xfecha,ximporte,xcategoria,xempleado,xdetalle){
	
	location.href="#enfoque1";

	if(xaccion=="eliminar"){
		document.getElementById('titulo_gastos').innerHTML="Eliminar gasto";
		document.getElementById('xaccion').value=xaccion;
		document.getElementById('xid').value=xid;			
		document.getElementById('xfecha').value=xfecha;
		document.getElementById('ximporte').value=ximporte;	
		document.getElementById('xcategoria').value=xcategoria;										
		document.getElementById('xempleado').value=xempleado;						
		document.getElementById('xdetalle').value=xdetalle;
		
		document.getElementById('d_eliminar').innerHTML="Si está seguro que quiere eliminar el gasto "+xfecha+" "+ximporte+", presione el botón Aceptar.";						
		
		document.getElementById('d_eliminar').style.display="block";	
						
	}else{

		if(xaccion=="modificar"){
		
			//alert(xcategoria);
		
			document.getElementById('titulo_gastos').innerHTML="Modificar gasto";
			document.getElementById('xaccion').value=xaccion;		
			document.getElementById('xid').value=xid;	
			document.getElementById('xfecha').value=xfecha;					
			
			
			document.getElementById('ximporte').value=ximporte;	
			document.getElementById('xcategoria').value=xcategoria;										
			document.getElementById('xempleado').value=xempleado;
			document.getElementById('xdetalle').value=xdetalle;																					
																		
			document.getElementById('d_eliminar').style.display="none";							
			
		}else{
			document.getElementById('titulo_gastos').innerHTML="Nuevo gasto";				
			document.getElementById('xaccion').value=xaccion;	
			document.getElementById('xid').value="";
			document.getElementById('xfecha').value="";																	
			document.getElementById('ximporte').value="";	
			document.getElementById('xcategoria').value="";										
			document.getElementById('xempleado').value="";						
			document.getElementById('xdetalle').value="";																					
									
			document.getElementById('d_eliminar').style.display="none";
		}
	}
	
	
}

function enviar_formulario_gastos(){						

	//alert(document.getElementById('ximporte').value);

	if(document.getElementById('xfecha').value=="" || 
	   document.getElementById('ximporte').value=="" ||
	   document.getElementById('xcategoria').value=="" ||
	   document.getElementById('xempleado').value==""){

		alert("Tiene que ingresar los datos requeridos.");
		
	}else{	
	
		document.form_procesos.submit();	
		
	}			
}			






